<?php
/**
 * @version     1.0.0
 * @package     COM_BOOKMARKSRELOADED
 * @copyright   copyright Copyright (C) 2011 viryasoftware.com. All Rights Reserved. 
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Evgeny Bartashevich, viryasoftware.com
 */

// no direct access
defined('_JEXEC') or die;

$document = & JFactory::getDocument();
$document->addStyleSheet(JURI::root().'components/com_bookmarksreloaded/assets/css/plessc.php?file=bookmarksreloaded.less');

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');

?>

<?php if ($this->item->params->get('allow_delete') ):?>
<script type="text/javascript">
    
    function deleteItem(id) {
        
        if ( ! confirm('<?php echo JText::_('COM_BOOKMARKSRELOADED_AREYOUSURE'); ?>'))
            return;
        
        var url ='<?php echo JRoute::_("index.php?option=com_bookmarksreloaded&task=delete&b_id="); ?>' + id;
		
		var parent_cat_url = '<?php echo JRoute::_("index.php?option=com_bookmarksreloaded&view=bookmarksreloaded&id={$this->parent_category->id}&Itemid={$this->Itemid}"); ?>';
        
		var a = new Request.JSON({
            url: url,
			method: 'get',
			onComplete: function( response ) {
                
                //TODO: reload items with AJAX
                if ( response.success ) {
                    alert( '<?php echo JText::_('COM_BOOKMARKSRELOADED_ITEMDELETED'); ?>' );
                    window.location.href=parent_cat_url;
                }
                else {
                    alert(response.error);
                }
		
			}
		}).send();
        
    }
    
</script>

<?php endif; ?>

<div class='bookmarks'>
<div class="item">
    <?php if ($this->params->get('show_page_heading', 1)) : ?>
    <h1 class='page_heading'>
        <?php echo $this->escape($this->params->get('page_heading')); ?>
    </h1>
    <?php endif; ?>
    
    <?php if ($this->params->get('show_category_title', 1)) : ?>
    <h2 class='title'>
        <?php echo $this->escape($this->parent_category->title); ?>
    </h2>
    <?php endif; ?>
    
    <?php if ($this->params->get('show_category_description', 1)) : ?>
    <h3 class='description'>
		<?php  echo JHtml::_('content.prepare', $this->parent_category->description); ?>
    </h3>
    <?php endif; ?>

    <h3>
        <a
           href='<?php echo JRoute::_("index.php?option=com_bookmarksreloaded&task=brloadurl&b_id={$this->item->id}"); ?>'
            <?php if ( $this->params->get('no_ref_links') ) echo "rel='no-follow'"; ?>
<?php if ($this->params->get('open_link_in_new_window')) echo "target=_blank"; ?>

        >
            <?php echo $this->escape($this->item->title); ?>
        </a>
        
    </h3>
    
	<div class="categories">
		<h3><?php echo JText::_('COM_BOOKMARKSRELOADED_ITEM_CATEGORIES');?></h3>
		<?php
			$cats = array();
			$target = ($this->params->get('open_link_in_new_window') ) ? 'target="_blank"' : '';
			
			foreach($this->item->categories as $_cat) {
				$_cat_url = JRoute::_("index.php?option=com_bookmarksreloaded&view=bookmarksreloaded&id={$_cat->id}&Itemid={$this->Itemid}");
				$_cat_title = $this->escape($_cat->title);
				$cats[] = "<a href='$_cat_url' $target title='$_cat_title'>$_cat_title</a>";
			}
			
			echo implode(', ', $cats);
		?>
	</div>
	
    <div class="screenshot">
        
        <?php if ($this->item->screenshot): ?>
			
            <?php
            
            $img_large = "<img class='screenshot' src='".JURI::root().'images/com_bookmarksreloaded/'.$this->item->screenshot. "'/>";
            echo JHTML::tooltip($img_large, $this->item->title, JURI::root().'images/com_bookmarksreloaded/'.$this->item->screenshot, '', $this->item->url);
			?>
		
        <?php else: ?>
            &nbsp;
        <?php endif; ?>
    </div>
    <div class="description">
        <p class="description">
            <?php  echo JHtml::_('content.prepare', $this->item->description); ?>
        </p>
        <span class="url"><?php echo $this->escape($this->item->url); ?></span>

        <?php if ($this->params->get('show_seo_data') ) echo "<span class='seo'>{$this->item->seo_data}</span>"; ?>
        <?php if ($this->params->get('show_hits') ) echo "<span class='hits'>".JText::_('COM_BOOKMARKSRELOADED_HITS').":{$this->item->hits}</span>"; ?>
        <?php if ($this->params->get('show_date_created') ) echo "<span class='added'>".JText::_('COM_BOOKMARKSRELOADED_ADDED').":". JHtml::_('date',$this->item->added, JText::_('DATE_FORMAT_LC4'))."</span>"; ?>
        <?php if ($this->params->get('show_user_created') ) echo "<span class='added_by'>".JText::_('COM_BOOKMARKSRELOADED_ADDED_BY').":{$this->item->name} ({$this->item->email})"."</span>"; ?>
        
    </div>
    
    <?php if ($this->user->id ): //TODO: access control?>
    <div class="controls">
        
        <?php if ($this->item->params->get('allow_edit') ): ?>
            <a
                href='<?php echo JRoute::_("index.php?option=com_bookmarksreloaded&view=form&id={$this->parent_category->id}&b_id={$this->item->id}&Itemid={$this->Itemid}"); ?>'
                title='<?php echo JText::_('COM_BOOKMARKSRELOADED_EDIT');?>'
            >
                <?php echo JText::_('COM_BOOKMARKSRELOADED_EDIT');?>
            </a>
        <?php endif; ?>

        &nbsp;
        <?php if ($this->item->params->get('allow_delete') ):?>
            <a
               onclick='deleteItem( <?php echo $this->item->id; ?> )'
               title='<?php echo JText::_('COM_BOOKMARKSRELOADED_DELETE');?>'
            >
                <?php echo JText::_('COM_BOOKMARKSRELOADED_DELETE');?>
            </a>
        <?php endif; ?>
    </div>
    <?php endif; ?>
    
	
</div>
</div>